using System; 
using System.Drawing; 
using System.Windows.Forms; 
using System.IO; 
//using System.Diagnostics;
using fomm.Scripting; 

class Script : FalloutNewVegasBaseScript {
	// GUI components
	public static Form frm;
	public static PictureBox pic;
	public static Panel pnl;
	public static Label lblOptions;
	public static Label lblDiff;
	public static Label lblPise;
	public static Label lblcraft;
	public static Label lblCrea;
	public static Label lblef;
	public static Label lbllang;
	public static ComboBox cbxDiff;
	public static ComboBox cbxPise;
	public static ComboBox cbxcraft;
	public static ComboBox cbxCrea;
	public static ComboBox cbxef;
	public static ComboBox cbxlang;
	public static Label lblDesc;
	public static Button btnInstall;
	public static Button btnCancel;
	
	// proceed with installation?
	public static bool install = false;
	
	public static void SaveFomodFileAs(string filename, string newFilename) {
		byte[] data = GetFileFromFomod(filename);
		GenerateDataFile(newFilename, data);
	}
	
	public static Image GetImageFromFomod(string filename) {
		byte[] data = GetFileFromFomod(filename);
		MemoryStream s = new MemoryStream(data);
		Image img = Image.FromStream(s);
		s.Close();		
		return img;
	}

	public static void CreateInstallationForm() {
		// create form
		frm = CreateCustomForm();
		
		// center, resize and change border of form
		frm.FormBorderStyle = FormBorderStyle.None;
		frm.StartPosition = FormStartPosition.CenterScreen;
		frm.Size = new Size(600, 600);
		
		// place background picture box
		pic = new PictureBox();
		pic.Location = new Point(0,0);
		pic.Size = new Size(600,600);
		
		// load picture file from .fomod and stream into picture box
		pic.Image = GetImageFromFomod("fomod/logo.png");

		// place background picture on form		
		frm.Controls.Add(pic);

		// create options panel that will contain controls
		pnl = new Panel();
		pnl.Location = new Point(300, 162);
		pnl.Size = new Size(274, 354);
		
		// place controls on panel
		lblOptions = new Label();
		lblOptions.Text = "Deadly Dragons Installation Options";
		lblOptions.Font = new Font("Arial", 10, FontStyle.Bold);
		lblOptions.Location = new Point(3, 6);
		lblOptions.AutoSize = true;
		pnl.Controls.Add(lblOptions);
		
		// create labels and combo-boxes
		lblDiff = new Label();
		lblDiff.Text = "Difficulty";
		lblDiff.Location = new Point(4, 33);
		lblDiff.AutoSize = true;
		pnl.Controls.Add(lblDiff);
		
		lblPise = new Label();
		lblPise.Text = "Dragon Weighting";
		lblPise.Location = new Point(4, 60);
		lblPise.AutoSize = true;
		pnl.Controls.Add(lblPise);

		lblcraft = new Label();
		lblcraft.Text = "Crafting";
		lblcraft.Location = new Point(4, 87);
		lblcraft.AutoSize = true;
		pnl.Controls.Add(lblcraft);
		
		// lblSpls = new Label();
		// lblSpls.Text = "Spells and buffs";
		// lblSpls.Location = new Point(3, 114);
		// lblSpls.AutoSize = true;
		// pnl.Controls.Add(lblSpls);

		lblCrea = new Label();
		lblCrea.Text = "Creatures";
		lblCrea.Location = new Point(4, 114);
		lblCrea.AutoSize = true;
		pnl.Controls.Add(lblCrea);

		lblef = new Label();
		lblef.Text = "Essential Followers";
		lblef.Location = new Point(4, 140);
		lblef.AutoSize = true;
		pnl.Controls.Add(lblef);

		lbllang = new Label();
		lbllang.Text = "Language";
		lbllang.Location = new Point(4, 167);
		lbllang.AutoSize = true;
		pnl.Controls.Add(lbllang);

		cbxDiff = new ComboBox();
		cbxDiff.Location = new Point(111, 30);
		cbxDiff.Size = new Size(149, 21);
		cbxDiff.Items.Add("Normal");
		cbxDiff.Items.Add("Hard");
		cbxDiff.Items.Add("Hardcore");
		cbxDiff.DropDownStyle = ComboBoxStyle.DropDownList;
		cbxDiff.SelectedIndex = 0;
		pnl.Controls.Add(cbxDiff);
		
		cbxPise = new ComboBox();
		cbxPise.Location = new Point(111, 57);
		cbxPise.Size = new Size(149, 21);
		cbxPise.Items.Add("Disable");
		cbxPise.Items.Add("Enable");
		cbxPise.DropDownStyle = ComboBoxStyle.DropDownList;
		cbxPise.SelectedIndex = 0;
		pnl.Controls.Add(cbxPise);

		cbxcraft = new ComboBox();
		cbxcraft.Location = new Point(111, 84);
		cbxcraft.Size = new Size(149, 21);
		cbxcraft.Items.Add("Disable");
		cbxcraft.Items.Add("Enable");
		cbxcraft.DropDownStyle = ComboBoxStyle.DropDownList;
		cbxcraft.SelectedIndex = 0;
		pnl.Controls.Add(cbxcraft);

		// cbxSpls = new ComboBox();
		// cbxSpls.Location = new Point(111, 111);
		// cbxSpls.Size = new Size(149, 21);
		// cbxSpls.Items.Add("Disable");
		// cbxSpls.Items.Add("Enable");
		// cbxSpls.DropDownStyle = ComboBoxStyle.DropDownList;
		// cbxSpls.SelectedIndex = 0;
		// pnl.Controls.Add(cbxSpls);

		cbxCrea = new ComboBox();
		cbxCrea.Location = new Point(111, 111);
		cbxCrea.Size = new Size(149, 21);
		cbxCrea.Items.Add("Disable");
		cbxCrea.Items.Add("Enable");
		cbxCrea.DropDownStyle = ComboBoxStyle.DropDownList;
		cbxCrea.SelectedIndex = 0;
		pnl.Controls.Add(cbxCrea);

		cbxef = new ComboBox();
		cbxef.Location = new Point(111, 138);
		cbxef.Size = new Size(149, 21);
		cbxef.Items.Add("Disable");
		cbxef.Items.Add("Enable");
		cbxef.DropDownStyle = ComboBoxStyle.DropDownList;
		cbxef.SelectedIndex = 0;
		pnl.Controls.Add(cbxef);

		cbxlang = new ComboBox();
		cbxlang.Location = new Point(111, 165);
		cbxlang.Size = new Size(149, 21);
		cbxlang.Items.Add("English");
		cbxlang.Items.Add("Russian");
		cbxlang.Items.Add("German");
		cbxlang.Items.Add("French");
		cbxlang.Items.Add("Czech");
		cbxlang.Items.Add("Italian");
		cbxlang.Items.Add("Polish");
		cbxlang.Items.Add("Spanish");
		cbxlang.Items.Add("Japanese");
		cbxlang.DropDownStyle = ComboBoxStyle.DropDownList;
		cbxlang.SelectedIndex = 0;
		pnl.Controls.Add(cbxlang);

		// place details controls
		lblDesc = new Label();
		lblDesc.Location = new Point(11, 202);
		lblDesc.Size = new Size(253, 200);
		lblDesc.AutoSize = false;
		lblDesc.TextAlign = ContentAlignment.MiddleCenter;
		lblDesc.Text = "Selection description";
		pnl.Controls.Add(lblDesc);
		
		// place panel on picture box
		pic.Controls.Add(pnl);
		
		// create buttons
		btnInstall = new Button();
		btnInstall.Text = "Install";
		btnInstall.Location = new Point(298, 523);
		btnInstall.Size = new Size(278, 23);
		
		btnCancel = new Button();
		btnCancel.Text = "Cancel";
		btnCancel.Location = new Point(298, 550);
		btnCancel.Size = new Size(278, 23);

		// add buttons to background
		pic.Controls.Add(btnInstall);
		pic.Controls.Add(btnCancel);
		
		// attach event handlers
		AttachHandlers();

		// set default info
		lblDesc.Text = "Deadly Dragons is a mod that aims to improve Skyrim's dragons fights. This mod is created for people who wish to increase the challenge provided by dragons fights. Main goal of the mod is to make dragons true to their power in lore.";
	}

	public static void AttachHandlers() {
        //Attach a handler that will fire when the apply button is clicked 
        btnInstall.Click += delegate(object sender, EventArgs args) 
        { 
        	install = true;
			frm.Close();
        };

        btnCancel.Click += delegate(object sender, EventArgs args) 
        { 
			frm.Close();
        };
        
        cbxDiff.SelectedIndexChanged += delegate(object sender, EventArgs args) 
        { 
			if(cbxDiff.SelectedIndex == 0) {
				// normal
				lblDesc.Text = "Adds new dragon types. Gives old dragons new abilities. Dragons now have armor,elemental resistances, and x2 health.";
			} else if(cbxDiff.SelectedIndex == 1) {
				// hard
				lblDesc.Text = "Adds new dragon types. Gives old dragons new abilities. Dragons now have armor,elemental resistances, and x3 health.Dragons are now immune to destruction Impact effect; overall damage increased by 50%.";
			} else if(cbxDiff.SelectedIndex == 2) {
				// hard
				lblDesc.Text = "Adds new dragon types. Gives old dragons new abilities. Dragons now have armor,elemental resistances, and x3 health.Dragons are now immune to destruction Impact effect; overall damage increased by 100%.";
			}
        };
        
        cbxPise.SelectedIndexChanged += delegate(object sender, EventArgs args) 
        { 
			if(cbxPise.SelectedIndex == 0) {
				// piseoff
				lblDesc.Text = "Do not install Pluto's Dragon Weighting.";
			} else if(cbxPise.SelectedIndex == 1) {
				// piseon
				lblDesc.Text = "Install Pluto's Dragon Weighting compatible with Deadly Dragons. Spawned dragon types are now random, but weighted (based on character level).";
			}
			
        };        
        
        cbxcraft.SelectedIndexChanged += delegate(object sender, EventArgs args) 
        { 
			if(cbxcraft.SelectedIndex == 0) {
				// no armour
				lblDesc.Text = "No crafting and spells.";
			} else {
				// dd armours
				lblDesc.Text = "Soul shards, new armor pieces, and new alchemy ingredients added to dragons loot table. Craftable spellbooks added. New items crafted at the Forge, under Draugr and Misc. categories.";
			}
        };        
        
        cbxCrea.SelectedIndexChanged += delegate(object sender, EventArgs args) 
        { 
			if(cbxCrea.SelectedIndex == 0) {
				// no spells
				lblDesc.Text = "Do not install creature plugin.";
			} else {
				// add spells
				lblDesc.Text = "Alters health, armor, and damage values of various vanilla creatures; see readme file for the complete list.";
			}
        };       
        cbxef.SelectedIndexChanged += delegate(object sender, EventArgs args) 
        { 
			if(cbxef.SelectedIndex == 0) {
				// no ess
				lblDesc.Text = "Default followers.";
			} else {
				// ess
				lblDesc.Text = "Flags any followers you have as essential. Followers cannot be killed. Does not effect summoned NPC's.";
			}
        }; 

    }
	
	public static void DoInstallation() {
        if(cbxDiff.SelectedIndex == 0) {
        	// normal
        	InstallFileFromFomod("DeadlyDragons.esm");
                SetPluginActivation("DeadlyDragons.esm", true);
        	InstallFileFromFomod("DeadlyDragonsNormal.esp");
                SetPluginActivation("DeadlyDragonsNormal.esp", true);
        } else if(cbxDiff.SelectedIndex == 1) {
        	// hard
        	InstallFileFromFomod("DeadlyDragons.esm");
        	InstallFileFromFomod("DeadlyDragonsHard.esp");
                SetPluginActivation("DeadlyDragons.esm", true);
                SetPluginActivation("DeadlyDragonsHard.esp", true);
        } else if(cbxDiff.SelectedIndex == 2) {
        	// hardcore
        	InstallFileFromFomod("DeadlyDragons.esm");
        	InstallFileFromFomod("DeadlyDragonsHardcore.esp");
                SetPluginActivation("DeadlyDragons.esm", true);
                SetPluginActivation("DeadlyDragonsHardcore.esp", true);
        }

        if(cbxPise.SelectedIndex == 1) {
        	// pise
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("PISEDragonWeighting/Normal/DeadlyDragonsPISE.esp","DeadlyDragonsPISE.esp");
                SetPluginActivation("DeadlyDragonsPISE.esp", true);
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("PISEDragonWeighting/Hard/DeadlyDragonsPISE.esp","DeadlyDragonsPISE.esp");
                SetPluginActivation("DeadlyDragonsPISE.esp", true);
            } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("PISEDragonWeighting/Hardcore/DeadlyDragonsPISE.esp","DeadlyDragonsPISE.esp");
                SetPluginActivation("DeadlyDragonsPISE.esp", true);
            }
        }

//        if (cbxSpr.SelectedIndex == 1) {
//           if(cbxPise.SelectedIndex == 1) {
//        	CopyDataFile("SpawnratePISE/DeadlyDragonsSpawn75.esp","DeadlyDragonsSpawn75.esp");
//                SetPluginActivation("DeadlyDragonsSpawn75.esp", true);
//           } else if(cbxPise.SelectedIndex == 2) {
//        	CopyDataFile("PISENoUnlvlDragons/DeadlyDragonsSpawn75.esp","DeadlyDragonsSpawn75.esp");
//                SetPluginActivation("DeadlyDragonsSpawn75.esp", true);
//           }
//             else {
//        	CopyDataFile("Spawnrate/DeadlyDragonsSpawn75.esp","DeadlyDragonsSpawn75.esp");
//                SetPluginActivation("DeadlyDragonsSpawn75.esp", true);
//           }
//       } else if(cbxSpr.SelectedIndex == 2) {
//           if(cbxPise.SelectedIndex == 1) {
//        	CopyDataFile("SpawnratePISE/DeadlyDragonsSpawn50.esp","DeadlyDragonsSpawn50.esp");
//                SetPluginActivation("DeadlyDragonsSpawn50.esp", true);
//              } else if(cbxPise.SelectedIndex == 2) {
//        	CopyDataFile("PISENoUnlvlDragons/DeadlyDragonsSpawn50.esp","DeadlyDragonsSpawn50.esp");
//                SetPluginActivation("DeadlyDragonsSpawn50.esp", true);
//           }
//            else {
//        	CopyDataFile("Spawnrate/DeadlyDragonsSpawn50.esp","DeadlyDragonsSpawn50.esp");
//                SetPluginActivation("DeadlyDragonsSpawn50.esp", true);
//           }
//        }

        if(cbxcraft.SelectedIndex == 1) {
        	// enable armor, clothing
        	InstallFileFromFomod("DeadlyDragonsCraft.esp");
                SetPluginActivation("DeadlyDragonsCraft.esp", true);
        }      
		
//        if(cbxSpls.SelectedIndex == 1) {
//        	// enable spells
//        	InstallFileFromFomod("DeadlyDragonsSpells.esp");
//                SetPluginActivation("DeadlyDragonsSpells.esp", true);
//        }

        if(cbxCrea.SelectedIndex == 1) {
        	// enable crea
        	InstallFileFromFomod("DeadlyDragonsCreature.esp");
                SetPluginActivation("DeadlyDragonsCreature.esp", true);
        }

        if(cbxef.SelectedIndex == 1) {
        	// enable ef
        	InstallFileFromFomod("DeadlyDragonsEF.esp");
                SetPluginActivation("DeadlyDragonsEF.esp", true);
        }

        if (cbxlang.SelectedIndex == 0) {
        	CopyDataFile("DD-README-EN.txt","DD-README-EN.txt");
        	CopyDataFile("strings/DeadlyDragons_English.DLSTRINGS","strings/DeadlyDragons_English.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_English.ILSTRINGS","strings/DeadlyDragons_English.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_English.STRINGS","strings/DeadlyDragons_English.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_English.DLSTRINGS","strings/DeadlyDragonsNormal_English.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_English.ILSTRINGS","strings/DeadlyDragonsNormal_English.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_English.STRINGS","strings/DeadlyDragonsNormal_English.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_English.DLSTRINGS","strings/DeadlyDragonsHard_English.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_English.ILSTRINGS","strings/DeadlyDragonsHard_English.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_English.STRINGS","strings/DeadlyDragonsHard_English.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_English.DLSTRINGS","strings/DeadlyDragonsHardcore_English.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_English.ILSTRINGS","strings/DeadlyDragonsHardcore_English.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_English.STRINGS","strings/DeadlyDragonsHardcore_English.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_English.DLSTRINGS","strings/DeadlyDragonsEF_English.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_English.ILSTRINGS","strings/DeadlyDragonsEF_English.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_English.STRINGS","strings/DeadlyDragonsEF_English.STRINGS");
            }
            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_English.DLSTRINGS","strings/DeadlyDragonsCraft_English.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_English.ILSTRINGS","strings/DeadlyDragonsCraft_English.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_English.STRINGS","strings/DeadlyDragonsCraft_English.STRINGS");
            }
  } else if (cbxlang.SelectedIndex == 1) {
        	CopyDataFile("DD-README-RU.txt","DD-README-RU.txt");
        	CopyDataFile("strings/DeadlyDragons_Russian.DLSTRINGS","strings/DeadlyDragons_Russian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Russian.ILSTRINGS","strings/DeadlyDragons_Russian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Russian.STRINGS","strings/DeadlyDragons_Russian.STRINGS");
            if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_Russian.DLSTRINGS","strings/DeadlyDragonsNormal_Russian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Russian.ILSTRINGS","strings/DeadlyDragonsNormal_Russian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Russian.STRINGS","strings/DeadlyDragonsNormal_Russian.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_Russian.DLSTRINGS","strings/DeadlyDragonsHard_Russian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Russian.ILSTRINGS","strings/DeadlyDragonsHard_Russian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Russian.STRINGS","strings/DeadlyDragonsHard_Russian.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_Russian.DLSTRINGS","strings/DeadlyDragonsHardcore_Russian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Russian.ILSTRINGS","strings/DeadlyDragonsHardcore_Russian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Russian.STRINGS","strings/DeadlyDragonsHardcore_Russian.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_Russian.DLSTRINGS","strings/DeadlyDragonsEF_Russian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Russian.ILSTRINGS","strings/DeadlyDragonsEF_Russian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Russian.STRINGS","strings/DeadlyDragonsEF_Russian.STRINGS");
           }
            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_Russian.DLSTRINGS","strings/DeadlyDragonsCraft_Russian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Russian.ILSTRINGS","strings/DeadlyDragonsCraft_Russian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Russian.STRINGS","strings/DeadlyDragonsCraft_Russian.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 2) {
        	CopyDataFile("DD-README-DV.txt","DD-README-DV.txt");
        	CopyDataFile("strings/DeadlyDragons_German.DLSTRINGS","strings/DeadlyDragons_German.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_German.ILSTRINGS","strings/DeadlyDragons_German.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_German.STRINGS","strings/DeadlyDragons_German.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_German.DLSTRINGS","strings/DeadlyDragonsNormal_German.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_German.ILSTRINGS","strings/DeadlyDragonsNormal_German.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_German.STRINGS","strings/DeadlyDragonsNormal_German.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_German.DLSTRINGS","strings/DeadlyDragonsHard_German.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_German.ILSTRINGS","strings/DeadlyDragonsHard_German.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_German.STRINGS","strings/DeadlyDragonsHard_German.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_German.DLSTRINGS","strings/DeadlyDragonsHardcore_German.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_German.ILSTRINGS","strings/DeadlyDragonsHardcore_German.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_German.STRINGS","strings/DeadlyDragonsHardcore_German.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_German.DLSTRINGS","strings/DeadlyDragonsEF_German.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_German.ILSTRINGS","strings/DeadlyDragonsEF_German.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_German.STRINGS","strings/DeadlyDragonsEF_German.STRINGS");
           }

            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_German.DLSTRINGS","strings/DeadlyDragonsCraft_German.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_German.ILSTRINGS","strings/DeadlyDragonsCraft_German.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_German.STRINGS","strings/DeadlyDragonsCraft_German.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 3) {
        	CopyDataFile("strings/DeadlyDragons_French.DLSTRINGS","strings/DeadlyDragons_French.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_French.ILSTRINGS","strings/DeadlyDragons_French.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_French.STRINGS","strings/DeadlyDragons_French.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_French.DLSTRINGS","strings/DeadlyDragonsNormal_French.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_French.ILSTRINGS","strings/DeadlyDragonsNormal_French.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_French.STRINGS","strings/DeadlyDragonsNormal_French.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_French.DLSTRINGS","strings/DeadlyDragonsHard_French.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_French.ILSTRINGS","strings/DeadlyDragonsHard_French.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_French.STRINGS","strings/DeadlyDragonsHard_French.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_French.DLSTRINGS","strings/DeadlyDragonsHardcore_French.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_French.ILSTRINGS","strings/DeadlyDragonsHardcore_French.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_French.STRINGS","strings/DeadlyDragonsHardcore_French.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_French.DLSTRINGS","strings/DeadlyDragonsEF_French.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_French.ILSTRINGS","strings/DeadlyDragonsEF_French.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_French.STRINGS","strings/DeadlyDragonsEF_French.STRINGS");
           }

            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_French.DLSTRINGS","strings/DeadlyDragonsCraft_French.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_French.ILSTRINGS","strings/DeadlyDragonsCraft_French.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_French.STRINGS","strings/DeadlyDragonsCraft_French.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 4) {
        	CopyDataFile("strings/DeadlyDragons_Czech.DLSTRINGS","strings/DeadlyDragons_Czech.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Czech.ILSTRINGS","strings/DeadlyDragons_Czech.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Czech.STRINGS","strings/DeadlyDragons_Czech.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_Czech.DLSTRINGS","strings/DeadlyDragonsNormal_Czech.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Czech.ILSTRINGS","strings/DeadlyDragonsNormal_Czech.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Czech.STRINGS","strings/DeadlyDragonsNormal_Czech.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_Czech.DLSTRINGS","strings/DeadlyDragonsHard_Czech.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Czech.ILSTRINGS","strings/DeadlyDragonsHard_Czech.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Czech.STRINGS","strings/DeadlyDragonsHard_Czech.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_Czech.DLSTRINGS","strings/DeadlyDragonsHardcore_Czech.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Czech.ILSTRINGS","strings/DeadlyDragonsHardcore_Czech.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Czech.STRINGS","strings/DeadlyDragonsHardcore_Czech.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_Czech.DLSTRINGS","strings/DeadlyDragonsEF_Czech.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Czech.ILSTRINGS","strings/DeadlyDragonsEF_Czech.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Czech.STRINGS","strings/DeadlyDragonsEF_Czech.STRINGS");
           }

           if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_Czech.DLSTRINGS","strings/DeadlyDragonsCraft_Czech.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Czech.ILSTRINGS","strings/DeadlyDragonsCraft_Czech.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Czech.STRINGS","strings/DeadlyDragonsCraft_Czech.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 5) {
        	CopyDataFile("strings/DeadlyDragons_Italian.DLSTRINGS","strings/DeadlyDragons_Italian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Italian.ILSTRINGS","strings/DeadlyDragons_Italian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Italian.STRINGS","strings/DeadlyDragons_Italian.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_Italian.DLSTRINGS","strings/DeadlyDragonsNormal_Italian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Italian.ILSTRINGS","strings/DeadlyDragonsNormal_Italian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Italian.STRINGS","strings/DeadlyDragonsNormal_Italian.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_Italian.DLSTRINGS","strings/DeadlyDragonsHard_Italian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Italian.ILSTRINGS","strings/DeadlyDragonsHard_Italian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Italian.STRINGS","strings/DeadlyDragonsHard_Italian.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_Italian.DLSTRINGS","strings/DeadlyDragonsHardcore_Italian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Italian.ILSTRINGS","strings/DeadlyDragonsHardcore_Italian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Italian.STRINGS","strings/DeadlyDragonsHardcore_Italian.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_Italian.DLSTRINGS","strings/DeadlyDragonsEF_Italian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Italian.ILSTRINGS","strings/DeadlyDragonsEF_Italian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Italian.STRINGS","strings/DeadlyDragonsEF_Italian.STRINGS");
           }

            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_Italian.DLSTRINGS","strings/DeadlyDragonsCraft_Italian.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Italian.ILSTRINGS","strings/DeadlyDragonsCraft_Italian.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Italian.STRINGS","strings/DeadlyDragonsCraft_Italian.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 6) {
        	CopyDataFile("strings/DeadlyDragons_Polish.DLSTRINGS","strings/DeadlyDragons_Polish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Polish.ILSTRINGS","strings/DeadlyDragons_Polish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Polish.STRINGS","strings/DeadlyDragons_Polish.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_Polish.DLSTRINGS","strings/DeadlyDragonsNormal_Polish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Polish.ILSTRINGS","strings/DeadlyDragonsNormal_Polish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Polish.STRINGS","strings/DeadlyDragonsNormal_Polish.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_Polish.DLSTRINGS","strings/DeadlyDragonsHard_Polish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Polish.ILSTRINGS","strings/DeadlyDragonsHard_Polish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Polish.STRINGS","strings/DeadlyDragonsHard_Polish.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_Polish.DLSTRINGS","strings/DeadlyDragonsHardcore_Polish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Polish.ILSTRINGS","strings/DeadlyDragonsHardcore_Polish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Polish.STRINGS","strings/DeadlyDragonsHardcore_Polish.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_Polish.DLSTRINGS","strings/DeadlyDragonsEF_Polish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Polish.ILSTRINGS","strings/DeadlyDragonsEF_Polish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Polish.STRINGS","strings/DeadlyDragonsEF_Polish.STRINGS");
           }


            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_Polish.DLSTRINGS","strings/DeadlyDragonsCraft_Polish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Polish.ILSTRINGS","strings/DeadlyDragonsCraft_Polish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Polish.STRINGS","strings/DeadlyDragonsCraft_Polish.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 7) {
        	CopyDataFile("strings/DeadlyDragons_Spanish.DLSTRINGS","strings/DeadlyDragons_Spanish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Spanish.ILSTRINGS","strings/DeadlyDragons_Spanish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Spanish.STRINGS","strings/DeadlyDragons_Spanish.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_Spanish.DLSTRINGS","strings/DeadlyDragonsNormal_Spanish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Spanish.ILSTRINGS","strings/DeadlyDragonsNormal_Spanish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Spanish.STRINGS","strings/DeadlyDragonsNormal_Spanish.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_Spanish.DLSTRINGS","strings/DeadlyDragonsHard_Spanish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Spanish.ILSTRINGS","strings/DeadlyDragonsHard_Spanish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Spanish.STRINGS","strings/DeadlyDragonsHard_Spanish.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_Spanish.DLSTRINGS","strings/DeadlyDragonsHardcore_Spanish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Spanish.ILSTRINGS","strings/DeadlyDragonsHardcore_Spanish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Spanish.STRINGS","strings/DeadlyDragonsHardcore_Spanish.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_Spanish.DLSTRINGS","strings/DeadlyDragonsEF_Spanish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Spanish.ILSTRINGS","strings/DeadlyDragonsEF_Spanish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Spanish.STRINGS","strings/DeadlyDragonsEF_Spanish.STRINGS");
           }

            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_Spanish.DLSTRINGS","strings/DeadlyDragonsCraft_Spanish.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Spanish.ILSTRINGS","strings/DeadlyDragonsCraft_Spanish.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Spanish.STRINGS","strings/DeadlyDragonsCraft_Spanish.STRINGS");
           }
  } else if (cbxlang.SelectedIndex == 8) {
        	CopyDataFile("strings/DeadlyDragons_Japanese.DLSTRINGS","strings/DeadlyDragons_Japanese.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Japanese.ILSTRINGS","strings/DeadlyDragons_Japanese.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragons_Japanese.STRINGS","strings/DeadlyDragons_Japanese.STRINGS");
           if(cbxDiff.SelectedIndex == 0) {
        	CopyDataFile("strings/DeadlyDragonsNormal_Japanese.DLSTRINGS","strings/DeadlyDragonsNormal_Japanese.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Japanese.ILSTRINGS","strings/DeadlyDragonsNormal_Japanese.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsNormal_Japanese.STRINGS","strings/DeadlyDragonsNormal_Japanese.STRINGS");
           } else if(cbxDiff.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsHard_Japanese.DLSTRINGS","strings/DeadlyDragonsHard_Japanese.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Japanese.ILSTRINGS","strings/DeadlyDragonsHard_Japanese.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHard_Japanese.STRINGS","strings/DeadlyDragonsHard_Japanese.STRINGS");
           } else if(cbxDiff.SelectedIndex == 2) {
        	CopyDataFile("strings/DeadlyDragonsHardcore_Japanese.DLSTRINGS","strings/DeadlyDragonsHardcore_Japanese.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Japanese.ILSTRINGS","strings/DeadlyDragonsHardcore_Japanese.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsHardcore_Japanese.STRINGS","strings/DeadlyDragonsHardcore_Japanese.STRINGS");
           }

            if(cbxef.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsEF_Japanese.DLSTRINGS","strings/DeadlyDragonsEF_Japanese.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Japanese.ILSTRINGS","strings/DeadlyDragonsEF_Japanese.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsEF_Japanese.STRINGS","strings/DeadlyDragonsEF_Japanese.STRINGS");
           }

            if(cbxcraft.SelectedIndex == 1) {
        	CopyDataFile("strings/DeadlyDragonsCraft_Japanese.DLSTRINGS","strings/DeadlyDragonsCraft_Japanese.DLSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Japanese.ILSTRINGS","strings/DeadlyDragonsCraft_Japanese.ILSTRINGS");
        	CopyDataFile("strings/DeadlyDragonsCraft_Japanese.STRINGS","strings/DeadlyDragonsCraft_Japanese.STRINGS");
           }
  }
}

	
	public static bool OnActivate() {     
		CreateInstallationForm();
		frm.ShowDialog();
		
		if(install) {
			DoInstallation();
		}
		
		return install;
	}
}
